<h1 class="section-title">{{ pokemon.name }}</h1>
<div class="pokemon-grid-view">

    <div class="sprite-types">
        <img class="pokemon-sprite" [src]="pokemon.image" [alt]="'Picture of ' + pokemon.name"
        onerror="this.onerror=null; this.src='/favicon.ico'">
        <ul id="types-list">
            <li *ngFor="let type of pokemon.types"
            class="type-box"
            [ngStyle]="{backgroundColor: typeColors[type]}">
                    {{ pokemonService.toTitleCase(type) }}
            </li>
        </ul>
    </div>

    <div class="stats-abilities">
        <ul id="stats-list">
            <li *ngFor="let stat of pokemon.base_stats">
                <strong>{{ statAbbreviations[stat.name] }}: </strong>
                <span>{{ stat.value }}</span>
            </li>
        </ul>
        <div class="abilities-box box">
            <h4>Abilities</h4>
            <ul class="abilities-list">
                <li *ngFor="let ability of pokemon.abilities">{{ pokemonService.toTitleCase(ability.replace('-', ' ')) }}</li>
            </ul>
        </div>
    </div>

    <div class="catch-info">
        <button id="catch-btn" (click)="catchPokemon()">Catch</button>
        <strong class="info info-label">Height: </strong>
        <span class="info info-value">{{ pokemon.height }}"</span>
        <strong class="info info-label">Weight: </strong>
        <span class="info info-value">{{ pokemon.weight }}lbs</span>
        <strong class="info info-label">Base EXP: </strong>
        <span class="info info-value">{{ pokemon.base_experience }}</span>
    </div>

    <div class="moves-box box">
        <h4>Moves</h4>
        <ul class="moves-list">
            <li *ngFor="let move of pokemon.moves">{{ pokemonService.toTitleCase(move.replace('-', ' ')) }}</li>
        </ul>
    </div>
</div>